Subject: bug#38109: Updated Emacs to HEAD, consistently not scaling now

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Nov 2019 19:58:19 +0200

> Date: Sat, 9 Nov 2019 17:22:41 +0000
> From: Alan Third <[email-masked]>
> Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked]
> 
> OK, so when there’s a mask there’s a different function called in
> xterm.c to draw the image. I’m not sure what the deal with that is but
> I had to modify it to use x_composite_image. We also need pretty much
> every other patch that we’ve posted to this thread, so I’ve attached
> something that works for me.

Can you explain why you moved the call to image_set_transform?

Thanks.